com.holonplatform.vaadin.flow.components.builders

## Interface ItemListingConfigurator.EditableItemListingRow<P>

- Type Parameters:
    `P` - Item property type
  All Superinterfaces:
    ItemListing.ItemListingRow<P>
  Enclosing interface:
    ItemListingConfigurator<T,P,L extends ItemListing<T,P>,C extends ItemListingConfigurator<T,P,L,C>>

      public static interface ItemListingConfigurator.EditableItemListingRow<P>
      extends ItemListing.ItemListingRow<P>

  An editable `ItemListing` section row handler.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemListing.ItemListingCell` | `join(Collection<P> properties)` Joins the cells corresponding the given columns in the row.
    `default ItemListing.ItemListingCell` | `join(P... properties)` Joins the cells corresponding the given columns in the row.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemListing.ItemListingRow

      `getCell, getCells`

- - ### Method Detail

    - #### join

          ItemListing.ItemListingCell join(Collection<P> properties)

      Joins the cells corresponding the given columns in the row.

      The columns must be adjacent, and this row must be the out-most row.

      The way that the client-side web component works also causes some limitations to which cells can be joined. For example, if you join the first and second cell in the header, you cannot join the second and third cell in the footer.

      Parameters:
        `properties` - The properties of the cells to join (not null)
      Returns:
        the merged cell
      Throws:
        `IllegalArgumentException` - if it's not possible to join the given cells

    - #### join

          default ItemListing.ItemListingCell join(P... properties)

      Joins the cells corresponding the given columns in the row.

      The columns must be adjacent, and this row must be the out-most row.

      The way that the client-side web component works also causes some limitations to which cells can be joined. For example, if you join the first and second cell in the header, you cannot join the second and third cell in the footer.

      Parameters:
        `properties` - The properties of the cells to join (not null)
      Returns:
        the merged cell
      Throws:
        `IllegalArgumentException` - if it's not possible to join the given cells

Copyright © 2020 The Holon Platform. All rights reserved.